Add exit status, remove awk warning 77/36077/1
authorAric Gardner <agardner@linuxfoundation.org>
Wed, 14 Jun 2017 03:13:25 +0000 (11:13 +0800)
committerAric Gardner <agardner@linuxfoundation.org>
Wed, 14 Jun 2017 03:13:25 +0000 (11:13 +0800)
Change-Id: I090e601b45b58fae4235867536553570f2674f9a
Signed-off-by: Aric Gardner <agardner@linuxfoundation.org>
jjb/ci_gate_security/anteater-report-to-gerrit.sh
jjb/ci_gate_security/anteater-security-audit.sh

index 6a5a0a5..c0bf9fa 100644 (file)
@@ -2,12 +2,17 @@
 set -o errexit
 set -o pipefail
 export PATH=$PATH:/usr/local/bin/
+EXITSTATUS=0
 
 # If no violations were found, no lint log will exist.
 if [[ -e securityaudit.log ]] ; then
     echo -e "\nposting security audit report to gerrit...\n"
 
-    cat securityaudit.log  | awk -F"ERROR\ \-\ " '{print $2}' > shortlog
+if grep ERROR securityaudit.log; then 
+EXITSTATUS=1
+fi
+
+    cat securityaudit.log  | awk -F"ERROR -\ " '{print $2}' > shortlog
 
     ssh -p 29418 gerrit.opnfv.org \
         "gerrit review -p $GERRIT_PROJECT \
@@ -15,5 +20,5 @@ if [[ -e securityaudit.log ]] ; then
          $GERRIT_PATCHSET_REVISION \
          --notify NONE"
 
-    exit 1
+    exit $EXITSTATUS
 fi
index ecc5c6f..d5c0e40 100644 (file)
@@ -28,4 +28,5 @@ exit_code=$?
 echo "--------------------------------------------------------"
 echo "Stopping docker container with ID $container_id"
 docker stop $container_id
+cat securityaudit.log
 exit 0